complexType "OrderFill"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 6 elements
Defined: | globally in fpml-pretrade-processes-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | orderId?, fillId?, size?, price?, executionDateTime?, counterpartyReference?
</...>

Content Model Elements (6):

  counterpartyReference, executionDateTime (in fill), fillId, | orderId (in fill), price, size

All Direct / Indirect Based Elements (1):

  fill

Known Usage Locations

- As direct type of elements (1):
  fill

XML Source (see within schema source)

<xsd:complexType name="OrderFill"> <xsd:sequence> <xsd:element minOccurs="0" name="orderId" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="fillId" type="xsd:normalizedString"/> <!-- should be tradeID ? --> <xsd:element minOccurs="0" name="size" type="xsd:decimal"/> <xsd:element minOccurs="0" name="price" type="xsd:decimal"/> <xsd:element minOccurs="0" name="executionDateTime" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="counterpartyReference" type="PartyReference"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
counterpartyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="counterpartyReference" type="PartyReference"/>

executionDateTime

  Type: | xsd:dateTime, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="executionDateTime" type="xsd:dateTime"/>

fillId

  Type: | xsd:normalizedString, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="fillId" type="xsd:normalizedString"/>

orderId

  Type: | xsd:normalizedString, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="orderId" type="xsd:normalizedString"/>

price

  Type: | xsd:decimal, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="price" type="xsd:decimal"/>

size

  Type: | xsd:decimal, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="size" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.